// File: Fw_HbmRuler.h
// Firmware module for readout of 2 HBM rulers for a lathe
// Version 2015-10-23  by jan@breem.nl
// Target: Arduino Nano 
// Pin Use:
// Pin 5, PD2 is Clock to both rulers
// Pin 23, PC4 is Data from the Z-ruler
// Pin 24, PC5 is Data from the X-ruler
// Pin 11, PB0 indicates the Pause signal
// Pin 12, PB1 indicates the ISR in service time and frequency
// Pin 13, PB2 Output for loudspeaker;

#ifndef HBMRULER_H
#define HBMRULER_H

// Fill in your calibration values
// First set them to 1.0 and upload the firmware
// Zero the axis
// Move the ruler over a precisely known distance D
// Note the readout R
// Fill in the quotient D / R and upload load the firmware
// Use negative to invert the sign of the readout
// Standard polarities for a lathe are:
//    X-axis towards the rotation center is negative
//    Z-axis to the right is positive

float const RulerXScale = 1.0;
float const RulerZScale = 1.0;

extern long RulerX, RulerZ;
extern byte BeepTime;

void init_HbmRuler(void);

#endif


